import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const XTimeline = /*@__PURE__*/ proxyCustomElement(class XTimeline extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '58aac68ad75b125c459fd5eddf9503bf09d26b69' }, h("slot", { key: '5ac122b2c7cba6552ce5d4888b6d40924eb9b7ba' }));
    }
}, [4, "x-timeline-header"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-timeline-header"];
    components.forEach(tagName => { switch (tagName) {
        case "x-timeline-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XTimeline);
            }
            break;
    } });
}

const XTimelineHeader = XTimeline;
const defineCustomElement = defineCustomElement$1;

export { XTimelineHeader, defineCustomElement };
